List Customer RFIs

GET
/api/v1/customers/{customerId}/rfis

List requests-for-information (RFIs) for a customer — outstanding compliance requirements that hold a verification level or transaction

Authorization

headerX-Api-Key<token>

API key in format: sti_env_prefix_secret

Path Parameters

customerId*string

Customer UUID

Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Query Parameters

status?string

RFI status

Value in"open""submitted""satisfied""expired""waived""rejected"

Response Body

Default Response

application/json
  1. response
rfis*array<>
Example Request
curl -X GET 'https://api.sandbox.stables.money/api/v1/customers/497f6eca-6276-4993-bfeb-53cbbbba6f08/rfis'
Example Response200
{  "rfis": [    {      "rfi_id": "67dff3e5-8fe4-4fc3-bd34-9ccc65996247",      "type": "verification",      "status": "open",      "customer_id": "160c0c4b-9966-4dc1-a916-8407eb10d74e",      "subject": "customer",      "kyc_level": "string",      "transaction_reference_id": "string",      "transaction_type": "transfer",      "transfer_id": "string",      "virtual_account_id": "string",      "reasons": [        {          "reason_code": "string",          "description": "string"        }      ],      "message": "string",      "billable": true,      "fee": {        "amount_minor": "string",        "currency": "string"      },      "requirements": [        {          "requirement_id": "6bcf6ec7-61c3-4af0-a310-59616a4dac61",          "type": "kyc_level",          "required_level": "string",          "status": "pending",          "action": {            "kind": "verification_link",            "verification_type": "string"          }        }      ],      "rejection_reason": "string",      "rejected_at": "2019-08-24T14:15:22Z",      "created_at": "2019-08-24T14:15:22Z",      "expires_at": "2019-08-24T14:15:22Z",      "resolved_at": "2019-08-24T14:15:22Z"    }  ]}